Subject: Re: [PATCH] net/ipv4/ip_gre.c net/ipv6/ip6_gre.c: ip and gre header are recorded twice

From: Jakub Kicinski <[email-masked]>
Date: Fri, 24 Jun 2022 10:17:43 -0700

On Fri, 24 Jun 2022 16:51:41 +0300 Aleksey Shumnik wrote:
> On Fri, Jun 24, 2022 at 6:26 AM Jakub Kicinski <[email-masked]> wrote:
> > > I use SOCK_DGRAM  
> >
> > Strange.  
> 
> Why is it strange?

I meant surprising, I'd have thought we could miss something like that
for RAW sockets maybe but DGRAM/ICMP should work.

> > > I want to find out, the creation of gre and ip header twice, is it a
> > > feature or a bug?  
> >
> > I can't think why that'd be a feature. Could add this case to selftests
> > to show how to repro and catch regressions?  
> 
> I don't really know how to do it, but I'll try
> If we just talk about selftests/net, then everything has passed

What I'm looking for is a bash(?) script which sets up the tunnel sends
a packet and checks if the headers are valid.

> > > I did everything according to the instructions, hope everything is
> > > correct this time.  
> >
> > Nope, still mangled.  
> 
> Strangely, everything works fine for me

Depends on definition of "works", are you saying you can download this:

https://lore.kernel.org/all/CAJGXZLiNo=G=5889sPyiCZVjRf65Ygov3=[email-masked]/raw

which is your email in text form and `git am` will accept that as a
patch?